package com.xinelu.manage.domain.labelfieldcontent;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 标签字段内容信息对象 label_field_content
 *
 * @author xinelu
 * @date 2024-06-20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "标签字段内容信息对象", description = "label_field_content")
public class LabelFieldContent extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 画像标签和知识库字段表id
     */
    @ApiModelProperty(value = "画像标签和知识库字段表id")
    @Excel(name = "画像标签和知识库字段表id")
    private Long fieldId;

    /**
     * 字段名称
     */
    @ApiModelProperty(value = "字段名称")
    @Excel(name = "字段名称")
    private String fieldName;

    /**
     * 字段编码，同param_key字段值
     */
    @ApiModelProperty(value = "字段编码，同param_key字段值")
    @Excel(name = "字段编码，同param_key字段值")
    private String fieldCode;

    /**
     * 字段值，同param_value
     */
    @ApiModelProperty(value = "字段值，同param_value")
    @Excel(name = "字段值，同param_value")
    private String fieldValue;

    /**
     * 画像流水号，用年月日时分秒毫秒数字转成的字符串
     */
    @ApiModelProperty(value = "画像流水号，用年月日时分秒毫秒数字转成的字符串")
    @Excel(name = "画像流水号，用年月日时分秒毫秒数字转成的字符串")
    private String portraitSn;

    /**
     * 患者ID
     */
    @ApiModelProperty(value = "患者ID")
    @Excel(name = "患者ID")
    private Long patientId;

    /**
     * 画像状态（FIELD：已归档，INUSE：在用）
     */
    @ApiModelProperty(value = "画像状态")
    @Excel(name = "画像状态", readConverterExp = "FIELD：已归档，INUSE：在用")
    private String portraitStatus;

    /**
     * 内容排序
     */
    @ApiModelProperty(value = "内容排序")
    @Excel(name = "内容排序")
    private Integer contentSort;

    /**
     * 内容备注信息
     */
    @ApiModelProperty(value = "内容备注信息")
    @Excel(name = "内容备注信息")
    private String contentRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fieldId", getFieldId())
                .append("fieldName", getFieldName())
                .append("fieldCode", getFieldCode())
                .append("fieldValue", getFieldValue())
                .append("portraitSn", getPortraitSn())
                .append("patientId", getPatientId())
                .append("portraitStatus", getPortraitStatus())
                .append("contentSort", getContentSort())
                .append("contentRemark", getContentRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}